Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el
Class MethodExpressionLiteral

    java.lang.Object
      javax.el.Expression
          javax.el.MethodExpression
              org.apache.el.MethodExpressionLiteral

All Implemented Interfaces:
  Externalizable, Serializable

    public class MethodExpressionLiteral

extends MethodExpression
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`MethodExpressionLiteral()`
`MethodExpressionLiteral(String expr, Class<?> expectedType, Class<?>[] paramTypes)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getExpressionString()`
`MethodInfo` | `getMethodInfo(ELContext context)`
`int` | `hashCode()`
`Object` | `invoke(ELContext context, Object[] params)`
`boolean` | `isLiteralText()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class javax.el.MethodExpression
`isParmetersProvided`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodExpressionLiteral

    public MethodExpressionLiteral()

### MethodExpressionLiteral

    public MethodExpressionLiteral(String expr,
                                   Class<?> expectedType,
                                   Class<?>[] paramTypes)

Method Detail

### getMethodInfo

    public MethodInfo getMethodInfo(ELContext context)
                             throws ELException

  Specified by:
    `getMethodInfo` in class `MethodExpression`
  Throws:
    `ELException`

### invoke

    public Object invoke(ELContext context,
                         Object[] params)
                  throws ELException

  Specified by:
    `invoke` in class `MethodExpression`
  Throws:
    `ELException`

### getExpressionString

    public String getExpressionString()

  Specified by:
    `getExpressionString` in class `Expression`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in class `Expression`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Expression`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `Expression`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.